/**
 * {通知组件}
 * @author yutent<yutent.io@gmail.com>
 * @date 2023/04/10 17:17:10
 */

import { css, html, Component, bind, styleMap } from '@bd/core'

class Notify extends Component {
  static props = {
    title: '',
    content: ''
  }

  render() {
    return html` <div class="notification"></div> `
  }
}

Notify.reg('notify')

function notify(title = '通知', { icon, body }) {
  //
  let elem = document.createElement('wc-notify')

  elem.title = title
  elem.icon = icon
  elem.content = body

  document.body.append(elem)
}

window.notify = notify
